PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Public Attributes | List of all members
PSTUNChangeRequest Class Reference

`#include <pstun.h>`

Inheritance diagram for PSTUNChangeRequest:
[legend]
Collaboration diagram for PSTUNChangeRequest:
[legend]

## Public Member Functions
| PSTUNChangeRequest ()
| PSTUNChangeRequest (bool changeIP, bool changePort)
void | Initialise ()
bool | IsValid () const
bool | GetChangeIP () const
void | SetChangeIP (bool on)
bool | GetChangePort () const
void | SetChangePort (bool on)
Public Member Functions inherited from PSTUNAttribute
PSTUNAttribute * | GetNext () const

## Public Attributes
BYTE | flags [4]
Public Attributes inherited from PSTUNAttribute
PUInt16b | type
PUInt16b | length

## Additional Inherited Members
Public Types inherited from PSTUNAttribute
enum | Types { MAPPED_ADDRESS = 0x0001, RESPONSE_ADDRESS = 0x0002, CHANGE_REQUEST = 0x0003, SOURCE_ADDRESS = 0x0004, CHANGED_ADDRESS = 0x0005, USERNAME = 0x0006, PASSWORD = 0x0007, MESSAGE_INTEGRITY = 0x0008, ERROR_CODE = 0x0009, UNKNOWN_ATTRIBUTES = 0x000a, REFLECTED_FROM = 0x000b, CHANNEL_NUMBER = 0x000C, LIFETIME = 0x000D, XOR_PEER_ADDRESS = 0x0012, DATA = 0x0013, REALM = 0x0014, NONCE = 0x0015, XOR_RELAYED_ADDRESS = 0x0016, EVEN_PORT = 0x0018, REQUESTED_TRANSPORT = 0x0019, DONT_FRAGMENT = 0x001A, XOR_MAPPED_ADDRESS = 0x0020, RESERVATION_TOKEN = 0x0022, PADDING = 0x0026, RESPONSE_PORT = 0x0027, ALTERNATE_SERVER = 0x8023, RESPONSE_ORIGIN = 0x802b, OTHER_ADDRESS = 0x802c }

## Constructor & Destructor Documentation

PSTUNChangeRequest::PSTUNChangeRequest | ( |  | ) |
| inline

PSTUNChangeRequest::PSTUNChangeRequest | ( | bool | changeIP,
|  | bool | changePort
| ) |  |
| inline

## Member Function Documentation

bool PSTUNChangeRequest::GetChangeIP | ( |  | ) | const
| inline

bool PSTUNChangeRequest::GetChangePort | ( |  | ) | const
| inline

void PSTUNChangeRequest::Initialise | ( |  | ) |
| inline

References PSTUNAttribute::CHANGE_REQUEST, PSTUNAttribute::length, and PSTUNAttribute::type.

bool PSTUNChangeRequest::IsValid | ( |  | ) | const
| inline

References PSTUNAttribute::CHANGE_REQUEST, PSTUNAttribute::length, and PSTUNAttribute::type.

void PSTUNChangeRequest::SetChangeIP | ( | bool | on | ) |
| inline

void PSTUNChangeRequest::SetChangePort | ( | bool | on | ) |
| inline

## Member Data Documentation

BYTE PSTUNChangeRequest::flags[4]

The documentation for this class was generated from the following file:

- pstun.h